For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
预约演示登录免费开始
  • 入门
    • 概览
    • 工作原理
    • 快速开始
    • 项目结构
    • Customer showcase
    • 变更日志
  • 配置
    • 概览
    • 站点级设置
    • 页面级设置
  • 编写内容
    • Markdown 基础
    • Markdown 中的富媒体
    • Fern 编辑器
    • 可复用代码片段
  • AI 功能
    • 概览
    • Fern Writer
    • AI 生成的示例
    • Markdown 访问
      • 概览
      • Agent 指令
      • 智能体指令
      • 分析与集成
    • MCP 服务器
    • API 目录发现
      • 概览
        • 简介
          • POSTCreate Document
          • POSTBatch Create Document
          • GETGet Document By Id
          • PATCHUpdate Document
          • DELDelete Document By Id
          • DELBatch Delete Document
          • GETGet Documents
          • DELDelete All Documents
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
预约演示登录免费开始
AI 功能Ask FernAPI referenceDocument

Update Document

||以 Markdown 格式查看|
PATCH
/document/:domain/:document_id
PATCH
/document/:domain/:document_id
$curl -X PATCH https://fai.buildwithfern.com/document/domain/document_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "document": {
3 "document_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
4 "domain": "example.com",
5 "chunk": "This is a sample chunk of text extracted from the document for indexing purposes.",
6 "document": "This document provides detailed information about the API usage and integration guidelines.",
7 "created_at": "2024-01-15T09:30:00Z",
8 "updated_at": "2024-01-15T09:30:00Z",
9 "title": "API Integration Guide",
10 "url": "https://example.com/api-integration-guide",
11 "version": "v2.3.1",
12 "product": "ExampleAPI",
13 "keywords": [
14 "API",
15 "integration",
16 "guide",
17 "documentation"
18 ],
19 "authed": true
20 }
21}
此页面是否有帮助?
上一个

Get Document By Id

下一个

Delete Document By Id

身份验证

AuthorizationBearer

Bearer 身份验证,格式为 Bearer <token>,其中 token 是您的身份验证令牌。

路径参数

domainstring必需
document_idstring必需

请求

This endpoint expects an object.
documentstring or null可选
The updated content of the document that will be returned to Ask Fern during document retrieval. If not provided, this field will remain unchanged.
chunkstring or null可选
The updated textual content that should be vectorized when indexing the document. If not provided, this field will remain unchanged.
titlestring or null可选
The updated title of the document. If not provided, this field will remain unchanged.
urlstring or null可选
The updated url of the document. If not provided, this field will remain unchanged.
versionstring or null可选
The updated version of the document. If not provided, this field will remain unchanged.
productstring or null可选
The updated product of the document. If not provided, this field will remain unchanged.
keywordslist of strings or null可选
The updated keywords of the document. If not provided, this field will remain unchanged.
authedboolean or null可选
The updated authed status of the document. If not provided, this field will remain unchanged.

响应

Successful Response
documentobject
The updated document

错误

422
Unprocessable Entity Error